curl -X GET https://api.whatabot.app/api/v1/clients/{id} \
-H "X-Api-Key: wh_your_api_key"
{
"id": "client-uuid",
"name": "My SaaS Embed",
"clientId": "wb_client_abc123",
"workspaceId": "workspace-uuid",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
OAuth Clients
Get Client
Get a specific OAuth client.
GET
/
v1
/
clients
/
{id}
curl -X GET https://api.whatabot.app/api/v1/clients/{id} \
-H "X-Api-Key: wh_your_api_key"
{
"id": "client-uuid",
"name": "My SaaS Embed",
"clientId": "wb_client_abc123",
"workspaceId": "workspace-uuid",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
Get details of a specific OAuth client.
string
required
Your API key (prefixed with
wh_).string
required
Client ID.
curl -X GET https://api.whatabot.app/api/v1/clients/{id} \
-H "X-Api-Key: wh_your_api_key"
{
"id": "client-uuid",
"name": "My SaaS Embed",
"clientId": "wb_client_abc123",
"workspaceId": "workspace-uuid",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}